Last Comment Bug 819022 - Project Kickoff Form: Add "Vendor" and "Line Item in Budget?" in the Finance portion
: Project Kickoff Form: Add "Vendor" and "Line Item in Budget?" in the Finance ...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MozProjectReview (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on: 817157 832031
Blocks: 787478
  Show dependency treegraph
 
Reported: 2012-12-06 11:50 PST by Winnie Aoieong [:winnie]
Modified: 2013-01-17 14:45 PST (History)
8 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Winnie Aoieong [:winnie] 2012-12-06 11:50:36 PST
Two Changes:

1. Add "Vendor" as the first question. Please create a text field for this and makes it required.
2. Add "Line Item in Budget?" as the second question. Please create a radio button or a drop down for Yes/No selection. 
2A. If "No" is selected, please display a text box called "Comment" with a help text "Please include additional description for this out of budget line item".

Thanks,
Winnie
Comment 1 David Lawrence [:dkl] 2012-12-07 10:06:11 PST
Working on this
Comment 2 David Lawrence [:dkl] 2012-12-07 14:56:15 PST
Please verify that the changes are satisfactory.

https://bugzilla-stage-tip.mozilla.org/enter_bug.cgi?product=mozilla.org&format=moz-project-review

Thanks
dkl
Comment 3 Winnie Aoieong [:winnie] 2012-12-07 15:01:54 PST
For the two change requests:

#1 - Vendor and its text field are currently not there
#2 - Question is there. Completed.
#2A - When I select "No" for #2, #2A does not display.

Please add #1 before "What is this purchase for?" as the first question.

Thanks,
Winnie
Comment 4 David Lawrence [:dkl] 2012-12-07 15:08:36 PST
(In reply to Winnie Aoieong from comment #3)
> For the two change requests:
> 
> #1 - Vendor and its text field are currently not there
> #2 - Question is there. Completed.
> #2A - When I select "No" for #2, #2A does not display.
> 
> Please add #1 before "What is this purchase for?" as the first question.
> 
> Thanks,
> Winnie

Hmm, my changes have not shown up yet. Looking into it. Sorry
Comment 5 Winnie Aoieong [:winnie] 2012-12-10 09:42:44 PST
Hi Dave - Just checking in on this, thanks.
Comment 6 Winnie Aoieong [:winnie] 2012-12-11 09:26:30 PST
dkl - I saw some of the changes made in production now, thanks. 

One field is still missing: Vendor and its text field. I would like that to be added to the Finance Section as the first question.

Please let me know the ETA on this.
Comment 7 David Lawrence [:dkl] 2012-12-11 10:47:03 PST
(In reply to Winnie Aoieong from comment #6)
> dkl - I saw some of the changes made in production now, thanks. 
> 
> One field is still missing: Vendor and its text field. I would like that to
> be added to the Finance Section as the first question.
> 
> Please let me know the ETA on this.

Sigh. It still have not made it to our test instance so you can take a look at it before we push to production. Sorry for the delay as I am in SF this week so had to deal with all of that. I have pinged IT about the issue and he is looking at it now.

dkl
Comment 8 David Lawrence [:dkl] 2012-12-11 11:15:28 PST
(In reply to David Lawrence [:dkl] from comment #7)
> (In reply to Winnie Aoieong from comment #6)
> > dkl - I saw some of the changes made in production now, thanks. 
> > 
> > One field is still missing: Vendor and its text field. I would like that to
> > be added to the Finance Section as the first question.
> > 
> > Please let me know the ETA on this.
> 
> Sigh. It still have not made it to our test instance so you can take a look
> at it before we push to production. Sorry for the delay as I am in SF this
> week so had to deal with all of that. I have pinged IT about the issue and
> he is looking at it now.
> 
> dkl

Ok, the changes should now be available for view at 

https://bugzilla-stage-tip.mozilla.org/enter_bug.cgi?product=mozilla.org&format=moz-project-review

Please let me know if they look good and we can get them pushed live this week. 
dkl
Comment 9 Winnie Aoieong [:winnie] 2012-12-11 12:17:52 PST
Awesome, thanks and I see the changes now.

One minor fix - There is now two of the same question "What is the purchase for?" Can you delete one?

A new ask.... Can you please remove mbarrow@mozilla.com and waoieong@mozilla.com as default for the Finance bug BUT add mcristobal@mozilla.com instead? 

If you prefer me opening a new bug for that, let me know and I will do so, thanks much!
Comment 10 David Lawrence [:dkl] 2012-12-11 12:49:03 PST
(In reply to Winnie Aoieong from comment #9)
> Awesome, thanks and I see the changes now.
> 
> One minor fix - There is now two of the same question "What is the purchase
> for?" Can you delete one?

Oops. Easy fix.

> A new ask.... Can you please remove mbarrow@mozilla.com and
> waoieong@mozilla.com as default for the Finance bug BUT add
> mcristobal@mozilla.com instead? 

No need for open bug. That is actually configurable through the Bugzilla admin UI and I can do that now.

dkl
Comment 11 David Lawrence [:dkl] 2012-12-11 12:54:10 PST
Ok, https://bugzilla-stage-tip.mozilla.org/enter_bug.cgi?product=mozilla.org&format=moz-project-review updated. Please one last look and I will commit.

dkl
Comment 12 Winnie Aoieong [:winnie] 2012-12-11 17:16:44 PST
(In reply to David Lawrence [:dkl] from comment #11)
> Ok,
> https://bugzilla-stage-tip.mozilla.org/enter_bug.cgi?product=mozilla.
> org&format=moz-project-review updated. Please one last look and I will
> commit.
> 
> dkl

Duplicate question is deleted. Example on bug 686754.
However, the finance dependent bug 686754 doesn't have Michelle Cristobal (mcristobal@mozilla.com) as default yet. Will I be able to see this?

Thanks,
Winnie
Comment 13 Winnie Aoieong [:winnie] 2012-12-11 17:17:28 PST
Correction, finance dependent bug 686756, no 686754.
Comment 14 David Lawrence [:dkl] 2012-12-11 18:37:54 PST
(In reply to Winnie Aoieong from comment #12)
> (In reply to David Lawrence [:dkl] from comment #11)
> > Ok,
> > https://bugzilla-stage-tip.mozilla.org/enter_bug.cgi?product=mozilla.
> > org&format=moz-project-review updated. Please one last look and I will
> > commit.
> > 
> > dkl
> 
> Duplicate question is deleted. Example on bug 686754.
> However, the finance dependent bug 686754 doesn't have Michelle Cristobal
> (mcristobal@mozilla.com) as default yet. Will I be able to see this?
> 
> Thanks,
> Winnie

I have done the change on production since it was just changing the default cc for a particular product/component. So you will see that when these changes are pushed live. I will go ahead and commit the code changes so we can get this out.

dkl
Comment 15 David Lawrence [:dkl] 2012-12-11 18:49:40 PST
Will be in the next push. Hopefully this week.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0
modified extensions/MozProjectReview/template/en/default/bug/create/comment-moz-project-review-finance.txt.tmpl
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
modified extensions/MozProjectReview/web/js/moz_project_review.js
Committed revision 8419.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2
modified extensions/MozProjectReview/template/en/default/bug/create/comment-moz-project-review-finance.txt.tmpl
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
modified extensions/MozProjectReview/web/js/moz_project_review.js
Committed revision 8458.
Comment 16 Winnie Aoieong [:winnie] 2012-12-11 19:12:32 PST
Great, thanks dkl!

Note You need to log in before you can comment on or make changes to this bug.